Page MenuHomePhabricator

Create AuthManager framework and core classes
Closed, ResolvedPublic

Description

Provide a patch for the basic building blocks of the AuthManager RfC (the provider interfaces and the implementations needed for existing core MediaWiki functionality).

Details

Related Gerrit Patches:
mediawiki/core : masterHard-deprecate password handling in User
mediawiki/core : REL1_27Add AuthManager
mediawiki/core : masterAdd AuthManager

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.
StatusAssignedTask
OpenNone
OpenTgr
OpenNone
ResolvedAnomie
ResolvedAnomie
ResolvedTgr
ResolvedTgr
ResolvedTgr
OpenNone
ResolvedTgr
ResolvedTgr
ResolvedTgr
ResolvedTgr
ResolvedTgr
Resolvedcsteipp
ResolvedTgr
ResolvedAnomie
ResolvedAnomie
ResolvedTgr
ResolvedAnomie
OpenNone
ResolvedAnomie
ResolvedAnomie
ResolvedJoe
Resolved bd808
ResolvedAnomie
ResolvedTgr

Event Timeline

bd808 created this task.Mar 5 2015, 9:29 PM
bd808 assigned this task to Anomie.
bd808 raised the priority of this task from to Medium.
bd808 updated the task description. (Show Details)
bd808 added subscribers: Anomie, csteipp, Legoktm and 2 others.

Change 195297 had a related patch set uploaded (by Anomie):
WIP: AuthManager skeleton

https://gerrit.wikimedia.org/r/195297

Tgr added a subscriber: Tgr.Aug 26 2015, 5:48 AM

Not really a strawman at this point.

Tgr renamed this task from Start gerrit patch to outline public interfaces of authentication system to Create AuthManager framework and core classes.Aug 26 2015, 5:50 AM
Tgr updated the task description. (Show Details)
Tgr added a comment.Aug 28 2015, 10:35 PM

Might want to include adding email support to LocalPasswordPrimaryAuthenticationProvider (T30085).

In T91699#1585816, @Tgr wrote:

Might want to include adding email support to LocalPasswordPrimaryAuthenticationProvider (T30085).

I think we should pass on that for now, the change is already big enough without succumbing to featuritis.

Change 264215 had a related patch set uploaded (by Gergő Tisza):
Hard-deprecate password handling in User

https://gerrit.wikimedia.org/r/264215

Change 195297 merged by jenkins-bot:
Add AuthManager

https://gerrit.wikimedia.org/r/195297

Change 289094 had a related patch set uploaded (by Gergő Tisza):
Add AuthManager

https://gerrit.wikimedia.org/r/289094

Change 289094 merged by jenkins-bot:
Add AuthManager

https://gerrit.wikimedia.org/r/289094

Anomie closed this task as Resolved.May 25 2016, 6:51 PM

Change 264215 merged by jenkins-bot:
[mediawiki/core@master] Hard-deprecate password handling in User

https://gerrit.wikimedia.org/r/264215